Subject: Re: bug#24024: grep: Mixing "max-count" and "after-context" outputs too few lines

From: Norihiro Tanaka <[email-masked]>
Date: Wed, 27 Jul 2016 00:38:02 +0900

> Igor Bogomazov <[email-masked]> filed the following bug against grep in
> Debian.
> 
> > $ printf '%s\n' a b a c | grep -m1 -A3 a
> > 
> > What I see:
> > 
> > a
> > b
> > 
> > What I expect:
> > 
> > a
> > b
> > a
> > c

As long as looking at prepending(), I see that it is designed but not
documented.